/**
 * lindmx.h
 * ----------------------------------------------------------------------------
 *  L I N    D M X
 *  Linux C-Library for the DMX4ALL inteface
 * ----------------------------------------------------------------------------
 * (c) Florian Schmitt / 2012-2013
 * License GPLv3+: GNU GPL Version 3 
 * or higher <http://gnu.org/licenses/gpl.html>
 * This code comes with ABSOLUTELY NO WARRANTY. This is free software, and 
 * you are welcome to redistribute it under certain conditions.
 * ----------------------------------------------------------------------------
 * Get more information on the used USB-DMX-Interface at
 * http://www.dmx4all.de/
 * ----------------------------------------------------------------------------
**/
#ifndef LINDMX_H
#define LINDMX_H

#define LINDMX void*
LINDMX       lindmx_create(int);
LINDMX       lindmx_create_simulator(int);
void         lindmx_destroy(LINDMX);
int          lindmx_set(int, int, LINDMX);
int          lindmx_set_all(int, LINDMX);
int          lindmx_reset_channels(LINDMX);
int          lindmx_get_err(LINDMX);
const char * lindmx_get_err_str(LINDMX);
const char * lindmx_get_lib_version();
#endif
